<!-- This file is generated by constellation/hack/clidocgen via update-cli-reference.yml workflow. Don't edit manually. -->

# CLI reference

Use the Constellation CLI to create and manage your clusters.

Usage:

```
constellation [command]
```
Commands:

* [config](#constellation-config): Work with the Constellation configuration file
* [generate](#constellation-generate): Generate a default configuration file
* [fetch-measurements](#constellation-fetch-measurements): Fetch measurements for configured cloud provider and image
* [create](#constellation-create): Create instances on a cloud platform for your Constellation cluster
* [init](#constellation-init): Initialize the Constellation cluster
* [verify](#constellation-verify): Verify the confidential properties of a Constellation cluster
* [recover](#constellation-recover): Recover a completely stopped Constellation cluster
* [terminate](#constellation-terminate): Terminate a Constellation cluster
* [upgrade](#constellation-upgrade): Plan and perform an upgrade of a Constellation cluster
* [execute](#constellation-execute): Execute an upgrade of a Constellation cluster
* [plan](#constellation-plan): Plan an upgrade of a Constellation cluster
* [version](#constellation-version): Display version of this CLI

## constellation config

Work with the Constellation configuration file

### Synopsis

Generate a configuration file for Constellation.

### Options

```
  -h, --help   help for config
```

### Options inherited from parent commands

```
      --config string   path to the configuration file (default "constellation-conf.yaml")
```

## constellation config generate

Generate a default configuration file

### Synopsis

Generate a default configuration file for your selected cloud provider.

```
constellation config generate {aws|azure|gcp} [flags]
```

### Options

```
  -f, --file string   path to output file, or '-' for stdout (default "constellation-conf.yaml")
  -h, --help          help for generate
```

### Options inherited from parent commands

```
      --config string   path to the configuration file (default "constellation-conf.yaml")
```

## constellation config fetch-measurements

Fetch measurements for configured cloud provider and image

### Synopsis

Fetch measurements for configured cloud provider and image. A config needs to be generated first!

```
constellation config fetch-measurements [flags]
```

### Options

```
  -h, --help                   help for fetch-measurements
  -s, --signature-url string   alternative URL to fetch measurements' signature from
  -u, --url string             alternative URL to fetch measurements from
```

### Options inherited from parent commands

```
      --config string   path to the configuration file (default "constellation-conf.yaml")
```

## constellation create

Create instances on a cloud platform for your Constellation cluster

### Synopsis

Create instances on a cloud platform for your Constellation cluster.

```
constellation create {aws|azure|gcp} [flags]
```

### Options

```
  -c, --control-plane-nodes int   number of control-plane nodes (required)
  -h, --help                      help for create
  -t, --instance-type string      instance type of cluster nodes
      --name string               create the cluster with the specified name (default "constell")
  -w, --worker-nodes int          number of worker nodes (required)
  -y, --yes                       create the cluster without further confirmation
```

### Options inherited from parent commands

```
      --config string   path to the configuration file (default "constellation-conf.yaml")
```

## constellation init

Initialize the Constellation cluster

### Synopsis

Initialize the Constellation cluster. Start your confidential Kubernetes.

```
constellation init [flags]
```

### Options

```
      --autoscale              enable Kubernetes cluster-autoscaler
      --endpoint string        endpoint of the bootstrapper, passed as HOST[:PORT]
  -h, --help                   help for init
      --master-secret string   path to base64-encoded master secret
```

### Options inherited from parent commands

```
      --config string   path to the configuration file (default "constellation-conf.yaml")
```

## constellation verify

Verify the confidential properties of a Constellation cluster

### Synopsis

Verify the confidential properties of a Constellation cluster.

If arguments aren't specified, values are read from `constellation-id.json`.

```
constellation verify {aws|azure|gcp} [flags]
```

### Options

```
      --cluster-id string      verify using Constellation's cluster identifier
  -h, --help                   help for verify
  -e, --node-endpoint string   endpoint of the node to verify, passed as HOST[:PORT]
      --owner-id string        verify using the owner identity derived from the master secret
```

### Options inherited from parent commands

```
      --config string   path to the configuration file (default "constellation-conf.yaml")
```

## constellation recover

Recover a completely stopped Constellation cluster

### Synopsis

Recover a Constellation cluster by sending a recovery key to an instance in the boot stage.
This is only required if instances restart without other instances available for bootstrapping.

```
constellation recover [flags]
```

### Options

```
      --disk-uuid string       disk UUID of the encrypted state disk (required)
  -e, --endpoint string        endpoint of the instance, passed as HOST[:PORT] (required)
  -h, --help                   help for recover
      --master-secret string   path to master secret file (default "constellation-mastersecret.json")
```

### Options inherited from parent commands

```
      --config string   path to the configuration file (default "constellation-conf.yaml")
```

## constellation terminate

Terminate a Constellation cluster

### Synopsis

Terminate a Constellation cluster. The cluster can't be started again, and all persistent storage will be lost.

```
constellation terminate [flags]
```

### Options

```
  -h, --help   help for terminate
```

### Options inherited from parent commands

```
      --config string   path to the configuration file (default "constellation-conf.yaml")
```

## constellation upgrade

Plan and perform an upgrade of a Constellation cluster

### Synopsis

Plan and perform an upgrade of a Constellation cluster.

### Options

```
  -h, --help   help for upgrade
```

### Options inherited from parent commands

```
      --config string   path to the configuration file (default "constellation-conf.yaml")
```

## constellation upgrade execute

Execute an upgrade of a Constellation cluster

### Synopsis

Execute an upgrade of a Constellation cluster by applying the chosen configuration.

```
constellation upgrade execute [flags]
```

### Options

```
  -h, --help   help for execute
```

### Options inherited from parent commands

```
      --config string   path to the configuration file (default "constellation-conf.yaml")
```

## constellation upgrade plan

Plan an upgrade of a Constellation cluster

### Synopsis

Plan an upgrade of a Constellation cluster by fetching compatible image versions and their measurements.

```
constellation upgrade plan [flags]
```

### Options

```
  -f, --file string   path to output file, or '-' for stdout, leave empty for interactive mode
  -h, --help          help for plan
```

### Options inherited from parent commands

```
      --config string   path to the configuration file (default "constellation-conf.yaml")
```

## constellation version

Display version of this CLI

### Synopsis

Display version of this CLI.

```
constellation version [flags]
```

### Options

```
  -h, --help   help for version
```

### Options inherited from parent commands

```
      --config string   path to the configuration file (default "constellation-conf.yaml")
```

